// $Id: CXmlFile.cc,v 1.2 2003/04/08 13:54:17 ta_muto Exp $

#include <CXmlLibs.h>
#include <views/CXmlFile.h>

wax::CXmlFile::~CXmlFile()
{
	if(reader != NULL)	delete reader;
}

xmlDocPtr wax::CXmlFile::getXmlDocument()
{
	return doc;
}

bool wax::CXmlFile::retrieve()
{
	doc = CXmlLibs::read(reader);
	if(doc == NULL)	return false;
	return true;
}
